+ Post New Thread
Page 358 of 585 FirstFirst ... 258 308 348 356 357 358 359 360 368 408 458 ... LastLast
Threads 8926 to 8950 of 14617

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 50,849
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 55,831
    18th Sep 2006 10:46 pm Go to last post
  1. Carpark Numbering

    is there any way you can number spaces so they update automatically for example if you delete one? ie 1 2 3 4 5 you remove space 3 and it renumbers 1 2 3 4 thanks

    Started by GJBarron‎, 21st Jun 2010 12:26 pm
    • Replies: 3
    • Views: 1,265
    21st Jun 2010 02:01 pm Go to last post
  2. Alert function to Lisp wanted

    Hi , the following Lisp is working well, but I want to add alert function to it if user select something else other than a block .... How? (defun c:ib (/ a blo) (prompt "The Block you select...

    Started by Tharwat‎, 21st Jun 2010 09:56 am
    • Replies: 8
    • Views: 4,503
    21st Jun 2010 01:44 pm Go to last post
  3. ACET-SS-Filter function

    Dear All, I found that one of the function ACET-SS-Filter function is not work on AutoCAD Architecture 2011, actually I've some lisp program running on ADT 2007. I'm trying to upgarde from 2007...

    Started by ectech‎, 21st Jun 2010 09:33 am
    • Replies: 0
    • Views: 970
    21st Jun 2010 09:33 am Go to last post
  4. Arc dim with radius and length

    Hi, I have a major problem. I found on the net a lisproutine that measures the radius and length of an arc. Great! I made some adjustments like placing text in front of the measurements, but that's...

    Started by woohhoo‎, 17th Jun 2010 09:00 am
    • Replies: 6
    • Views: 2,973
    21st Jun 2010 06:41 am Go to last post
  5. (read (strcat "(" "TUBE150X150X4.5 20.2" ")"))

    Please help in this issue. (read (strcat "(" "TUBE150X150X4.5 20.2" ")")) it returns a list (TUBE150X150X4 20.2). But I need a list (TUBE150X150X4.5 20.2) including decimal point.

    Started by muthu123‎, 20th Jun 2010 08:11 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 3,321
    21st Jun 2010 03:40 am Go to last post
  6. AR-CONC hatch problem

    hi i write this procedure to apply hatch to polyline area from vb6 but i see the hatch with some patterns only i mean when apply ANGLE pattern the hatch appear but with AR-CONC i do not see any...

    Started by elhamyy‎, 20th Jun 2010 04:15 pm
    • Replies: 1
    • Views: 2,707
    21st Jun 2010 03:32 am Go to last post
  7. proper way with Open Function

    Hello, (defun c:on (/ f txtline) (if (setq f(open "c:\\my documents\\Drawing.dwg" "r")) (progn (while (setq txtLine(read-line f)) (princ txtLine)) (close f)) (princ "\n Error - File was not...

    Started by Tharwat‎, 19th Jun 2010 06:32 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 2,131
    20th Jun 2010 11:31 pm Go to last post
  8. Any function to draw Lines instead of Mline

    Hello, Is there any function or a method that could give the chance to draw tow lines as well as Mline continuously . Or maybe things like entmake ..... if possible please call :D Many Thanks...

    Started by Tharwat‎, 18th Jun 2010 02:23 pm
    4 Pages
    1 2 3 ... 4
    • Replies: 35
    • Views: 7,304
    20th Jun 2010 09:30 pm Go to last post
  9. entmake (trans pt 0 1)

    Hello. An entmake function; (entmake (list '(0 . "TEXT") (cons 40 (getvar 'textsize)) (cons 10 (trans pt 1 0)) (cons 1 a))) Once I...

    Started by Tharwat‎, 20th Jun 2010 12:36 pm
    • Replies: 5
    • Views: 2,249
    20th Jun 2010 03:56 pm Go to last post
  10. Polyline and LWPolyline

    Hello. What is the difference between the following entities..... is only Line Wieght of the Polyline ? (0 . "POLYLINE") (0 . "LWPOLYLINE") Thanks. Tharwat

    Started by Tharwat‎, 19th Jun 2010 06:48 pm
    • Replies: 4
    • Views: 12,533
    19th Jun 2010 07:47 pm Go to last post
  11. certain layer for viewport

    Hello if i'm using layout then i use single viewport command to make a viewport. But i would like this viewport to be in certain layer ifi activate that comand. This is macro of this single...

    Started by Insener07‎, 19th Jun 2010 06:05 pm
    • Replies: 1
    • Views: 867
    19th Jun 2010 06:42 pm Go to last post
  12. Creating a drawinglist, but how?

    Hi all, I searched, and asked, here and there but never really found what I am looking for. (Hmm sounds like Whitesnake..?) Anyway, it seems to be a problem to create a drawinglist in an easy...

    Started by MarcoW‎, 1st Jul 2009 03:11 pm
    3 Pages
    1 2 3
    • Replies: 29
    • Views: 6,394
    19th Jun 2010 04:12 pm Go to last post
  13. Missing image on the library menu

    Hey guys need help again from you. i am practicing and creating menu, but the image on the library is missing but the dimension (the sample) is there. what should i do? i have attached the image...

    Started by rengised‎, 19th Jun 2010 03:51 pm
    • Replies: 0
    • Views: 654
    19th Jun 2010 03:51 pm Go to last post
  14. Simple routine request

    Hi all I want to select an object in all layouts then change entity for? Example select all viewports in all layouts save old value of DXF code 90 add 147456 to old value

    Started by asos2000‎, 17th Jun 2010 04:52 pm
    • Replies: 4
    • Views: 2,042
    19th Jun 2010 11:23 am Go to last post
  15. How to add items to a list?

    I'm a newbie :D (in case i didn't mention that in my earlier posts).. So, firstly, I thank you for your help and answers and advices and so forth. Lastly, how the crow's nest do I add items to a...

    Started by firavolla‎, 17th Jun 2010 01:45 pm
    4 Pages
    1 2 3 ... 4
    • Replies: 34
    • Views: 12,351
    18th Jun 2010 09:18 pm Go to last post
  16. Show/hide layers

    We have many different layers and we are trying to write a program to select the right layer to display by sending it as a string. The following code we know works ...

    Started by FunkyFresh‎, 18th Jun 2010 08:08 pm
    • Replies: 0
    • Views: 1,544
    18th Jun 2010 08:08 pm Go to last post
  17. AutoLoad Lisp Routines Version 2010.

    What is the best way to load lisp routines. In older versions it use to be acad.lsp but AutoDesk changed that and sort of made it confusing. Also, is there a way to make your lisp routines load for...

    Started by muck‎, 17th Nov 2009 01:41 pm
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 6,742
    18th Jun 2010 03:31 pm Go to last post
  18. Add ATTDEF (Atribute) to an creating object.

    Well Back again with a problem were a solution is needed. I'am drawing 3d solid objects by using LISP. For example the code below. Now this lisp allows me to draw 4 boxes. I wonder if it is...

    Started by mitchellrodhous‎, 16th Jun 2010 01:29 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 3,157
    18th Jun 2010 01:09 pm Go to last post
  19. Defun - no fun!

    What am I doing wrong?? Arrghhhhhhh!:cry: I have this function...inside the main lisp file of my routine. Whenever I reach the call to the function I get something like error bad function and then...

    Started by firavolla‎, 18th Jun 2010 10:07 am
    2 Pages
    1 2
    • Replies: 16
    • Views: 3,555
    18th Jun 2010 12:24 pm Go to last post
  20. Cross Check

    Like I have mentioned in my last few posts on here, I am new to the whole lisp thing. A lot of this stuff I am still trying to figure out what it is doing and/or means. So I was wondering if someone...

    Started by ksperopoulos‎, 16th Jun 2010 04:18 am
    • Replies: 9
    • Views: 1,990
    18th Jun 2010 05:30 am Go to last post
  21. lisp to explode all mleaders

    Anyone know where I can find a lisp to explode ALL mleaders in a drawing (both in model and all layouts)? I often have to export C3d drawings & save down to older versions for clients. A lisp that...

    Started by pioptl‎, 16th Jun 2010 04:30 pm
    • Replies: 7
    • Views: 2,419
    18th Jun 2010 04:54 am Go to last post
  22. How to goin tow Variables

    Hello everybody, The outcome must be 111x222 as a text but it respond nil . .... Why? regards, Tharwat

    Started by Tharwat‎, 17th Jun 2010 06:10 pm
    2 Pages
    1 2
    • Replies: 17
    • Views: 2,788
    18th Jun 2010 04:30 am Go to last post
  23. Force custom pulldown to appear

    Hi In my code I have a simple line that loads a custom cuix : (if (=(atof (getvar "acadver"))18.0) (command "_cuiload" "U:\\CAD\\Acad Customisation\\custom.cuix"); );if This...

    Started by Small Fish‎, 17th Jun 2010 05:33 am
    • Replies: 6
    • Views: 2,309
    18th Jun 2010 02:00 am Go to last post
  24. problems with loading lisp

    I have a number of lisp routines that I use in my day to day work. But I am facing a problem which is sometimes very painful. I cannot keep my lisp code in the office PC, so I load them from USB...

    Started by salman‎, 17th Jun 2010 08:11 pm
    • Replies: 3
    • Views: 1,348
    18th Jun 2010 12:04 am Go to last post
  25. Trying to select objects and filter selection to just one layer

    So Here is my Example: I have a drawing with objects on the layer "0". There are also other layer all over. Now say out of the entire drawing I want to grab just 10 objects from the "0" layer, but...

    Started by chrisdvalentine‎, 17th Jun 2010 09:31 pm
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 3,863
    17th Jun 2010 11:16 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts